- Qt 6.8
- Qt GUI
- C++ Classes
- QVulkanInfoVector
- Qt 6.8.2 Reference Documentation

# QVulkanInfoVector Class

template <typename T> class QVulkanInfoVector

A specialized QList for QVulkanLayer and QVulkanExtension. More...

Header: | `#include <QVulkanInfoVector>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::Gui)`
qmake: | `QT += gui`
Inherits: | QList

- List of all members, including inherited members

## Public Functions

bool | contains(const QByteArray &name) const
bool | contains(const QByteArray &name, int minVersion) const

## Detailed Description

## Member Function Documentation

### bool QVulkanInfoVector::contains(const QByteArray &name) const

Returns true if the list contains a layer or extension with the given name.

### bool QVulkanInfoVector::contains(const QByteArray &name, int minVersion) const

Returns true if the list contains a layer or extension with the given name and a version same as or newer than minVersion.